org.apache.hadoop.hdfs.shortcircuit

## Enum DomainSocketFactory.PathState

- java.lang.Object
- - java.lang.Enum<DomainSocketFactory.PathState>
  - - org.apache.hadoop.hdfs.shortcircuit.DomainSocketFactory.PathState

- All Implemented Interfaces:
    Serializable, Comparable<DomainSocketFactory.PathState>
  Enclosing class:
    DomainSocketFactory

      public static enum DomainSocketFactory.PathState
      extends Enum<DomainSocketFactory.PathState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SHORT_CIRCUIT_DISABLED`
    `UNUSABLE`
    `VALID`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getUsableForDataTransfer()`
    `boolean` | `getUsableForShortCircuit()`
    `static DomainSocketFactory.PathState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DomainSocketFactory.PathState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNUSABLE

          public static final DomainSocketFactory.PathState UNUSABLE

    - #### SHORT_CIRCUIT_DISABLED

          public static final DomainSocketFactory.PathState SHORT_CIRCUIT_DISABLED

    - #### VALID

          public static final DomainSocketFactory.PathState VALID

  - ### Method Detail

    - #### values

          public static DomainSocketFactory.PathState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DomainSocketFactory.PathState c : DomainSocketFactory.PathState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DomainSocketFactory.PathState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getUsableForDataTransfer

          public boolean getUsableForDataTransfer()

    - #### getUsableForShortCircuit

          public boolean getUsableForShortCircuit()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.